<?php
/**
 * Template part for displaying header v1.
 *
 * @package Baroque
 */

?>

<div class="header-main">
	<div class="site-logo first-el">
		<?php get_template_part( 'parts/logo' ); ?>
	</div>
	<div class="site-intro second-el">
		<div class="site-intro-content">
			<?php
			if ( is_active_sidebar( 'header-info' ) ) {
				ob_start();
				dynamic_sidebar( 'header-info' );
				$output = ob_get_clean();

				echo apply_filters( 'baroque_header_info_v1', $output );
			}
			?>
		</div>
	</div>
	<div class="site-menu third-el">
		<ul class="extra-menu">
			<?php baroque_extra_language(); ?>
			<?php baroque_extra_cart(); ?>
			<?php baroque_menu_icon(); ?>
		</ul>
	</div>
</div>
