<?php
$page_header = baroque_get_option( 'page_header_shop' );

if ( ! intval( $page_header ) ) {
	return;
}

$page_header_desc = baroque_get_option( 'catalog_description' );
$page_image       = baroque_get_option( 'catalog_page_header_image' );

$css       = '';

if ( $page_image ) {
	$css       = 'has-image';
}

?>
<div class="page-header catalog-page-header <?php echo esc_attr( $css ); ?>">
	<?php
	if ( $page_image ) {
		echo sprintf( '<div class="baroque-container"><div class="featured-image" style="background-image: url(%s)"></div></div>', esc_url( $page_image ) );
	}
	?>
	<div class="container">
		<div class="page-header-content">
			<?php
			the_archive_title( '<h1>', '</h1>' );
			if ( $page_header_desc ) {
				printf( '<div class="desc">%s</div>', wp_kses( $page_header_desc, wp_kses_allowed_html( 'post' ) ) );
			}
			?>
		</div>
	</div>
</div>