<?php
/**
 * Template part for displaying header v5.
 *
 * @package Baroque
 */

?>

<div class="header-main">
	<div class="site-logo first-el">
		<?php get_template_part( 'parts/logo' ); ?>
	</div>

	<div class="site-intro second-el">
		<div class="site-intro-content">
			<nav class="secondary-menu menu-area">
				<?php
				if ( has_nav_menu( 'primary_2' ) ) {
					wp_nav_menu(
						array(
							'theme_location' => 'primary_2',
							'container'      => false,
							'walker'         => new Baroque_Mega_Menu_Walker()
						)
					);
				}
				?>
			</nav>
		</div>
	</div>

	<div class="site-menu third-el">
		<ul class="extra-menu">
			<?php baroque_extra_language(); ?>
			<?php baroque_extra_cart(); ?>
			<?php baroque_menu_icon(); ?>
		</ul>
	</div>
</div>