<?php
/**
 * Hooks for template single post format
 *
 * @package Baroque
 */

if ( ! baroque_single_post_has_post_format() ) {
	return;
}

if ( ! intval( baroque_get_option( 'show_post_format' ) ) ) {
	return;
}

$size = 'baroque-blog-classic';
$container = 'container';

if ( get_post_format() == 'gallery' ) {
	$size = 'full';
	$container = 'baroque-container';
}

?>
	<div class="entry-thumbnail ba-gallery-popup">
		<div class="<?php echo esc_attr( $container ); ?>">
			<?php baroque_entry_thumbnail( $size ) ?>
		</div>
	</div>
<?php

